<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:id="@+id/suggestion"
	android:layout_width="match_parent"
	android:layout_height="wrap_content">

	<ImageView
		android:id="@+id/suggestion_image"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		app:layout_constraintBottom_toBottomOf="@+id/suggestion_title"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="@+id/suggestion_title"
		tool:ignore="ContentDescription"
		tool:src="@drawable/vehicle_black" />

	<ImageView
		android:id="@+id/arrow"
		android:layout_width="24dp"
		android:layout_height="24dp"
		android:visibility="gone"
		android:layout_marginStart="11dp"
		android:layout_marginTop="8dp"
		android:layout_marginEnd="8dp"
		android:importantForAccessibility="no"
		app:layout_constraintEnd_toEndOf="@+id/distance"
		app:layout_constraintStart_toStartOf="@+id/distance"
		app:layout_constraintTop_toTopOf="parent"
		tool:src="@drawable/arrow" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/distance"
		android:visibility="gone"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginTop="4dp"
		android:layout_marginEnd="8dp"
		android:textAppearance="@style/TextAppearance.Material3.BodySmall"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/arrow"
		tool:text="650m" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/suggestion_title"
		android:maxWidth="320dp"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		android:layout_marginTop="8dp"
		android:textAppearance="@style/Theme.Bimba.SearchResult.Title"
		app:layout_constraintStart_toEndOf="@+id/suggestion_image"
		app:layout_constraintTop_toTopOf="parent"
		tool:text="Tower Hill" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/feed_name"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:visibility="gone"
		android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
		app:layout_constraintStart_toStartOf="@+id/suggestion_title"
		app:layout_constraintTop_toBottomOf="@+id/suggestion_title"
		tool:text="TfL London" />

	<!-- todo maxWidth or separate layout for graphView -->
	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/suggestion_change_options"
		style="@style/Theme.Bimba.SearchResult.Description"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginTop="4dp"
		android:layout_marginEnd="4dp"
		android:includeFontPadding="false"
		android:lineSpacingMultiplier="1.6"
		android:maxWidth="360dp"
		android:paddingTop="4dp"
		android:paddingBottom="4dp"
		app:layout_constraintEnd_toStartOf="@+id/distance"
		app:layout_constraintHorizontal_bias="0.0"
		app:layout_constraintStart_toStartOf="@+id/suggestion_title"
		app:layout_constraintTop_toBottomOf="@+id/feed_name"
		app:layout_constraintVertical_bias="1.0"
		tool:text="Metropolitan » Baker Street, Tower Hill The Monument, Westminster, Piccadilly Circus, Oxford Street" />

	<!-- todo maxWidth or separate layout for graphView -->
	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/suggestion_description"
		style="@style/Theme.Bimba.SearchResult.Description"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginTop="4dp"
		android:layout_marginEnd="4dp"
		android:includeFontPadding="false"
		android:lineSpacingMultiplier="1.6"
		android:maxWidth="360dp"
		android:paddingTop="4dp"
		android:paddingBottom="4dp"
		app:layout_constraintEnd_toStartOf="@+id/distance"
		app:layout_constraintHorizontal_bias="0.0"
		app:layout_constraintStart_toStartOf="@+id/suggestion_title"
		app:layout_constraintTop_toBottomOf="@+id/suggestion_change_options"
		app:layout_constraintVertical_bias="1.0"
		tool:text="England, London" />

</androidx.constraintlayout.widget.ConstraintLayout>